concrete RoboWorldLexiconEng of RoboWorldLexicon =
	CatEng
	**
open
	MorphoEng,
	ResEng,
	ParadigmsEng,
	IrregEng,
	Prelude
in {

	-- A
	lin a_Det = mkDeterminer singular "a" | mkDeterminer singular "an";
	lin angular_A = compoundA (mkA "angular");	
	lin aPl_Det = mkDeterminer plural "";
	lin arena_N = mkN "arena" "arenas";
	lin asap_Subj = mkSubj "as soon as" ;	
	lin at_Prep = mkPrep "at";
	lin at_least_AdN = mkAdN "at least";	
	lin available_A = compoundA (mkA "available");		
	
	-- B
	lin before_Adv = mkAdv "before";
	
	-- C
	lin can_VV = {
		s = table {
		  VVF VInf => ["be able to"] ;
		  VVF VPres => "can" ;
		  VVF VPPart => ["been able to"] ;
		  VVF VPresPart => ["being able to"] ;
		  VVF VPast => "could" ;
		  VVPastNeg => "couldn't" ;
		  VVPresNeg => "can't"
		  } ;
		p = [] ;
		typ = VVAux
	} ;	
	lin call_V = mkV "call" "calls" "called" "called" "calling";	
	lin call_V2 = mkV2 (mkV "call" "calls" "called" "called" "calling");	
	lin communicate_V2 = mkV2 (mkV "communicate" "communicates" "communicated" "communicated" "communicating");	
		
	-- D
	lin define_V2 = mkV2 (mkV "define" "defines" "defined" "defined" "defining");	
	lin depth_N = mkN "depth" "depths";	
	lin diagram_N = mkN "diagram" "diagrams";
	lin direction_N = mkN "direction" "directions";	
	lin distance_N = mkN "distance" "distances";
	lin downward_Adv = mkAdv "downward";
	lin downwards_Adv = mkAdv "downwards";		
	
	-- E
	lin event_N = mkN "event" "events";	
	lin either7or_DConj = mkConj "either" "or" singular ;
	
	-- F
	lin from_Prep = mkPrep "from";
	
	-- G
	lin gradient_N = mkN "gradient" "gradients";
	lin great_A = mkA "great" "greater";	
	lin ground_N = mkN "ground" "grounds";
	
	-- H
	lin have_V = IrregEng.have_V;
	lin have_V2 = mkV2 (IrregEng.have_V);	
	lin happen_V = mkV "happen" "happens" "happened" "happened" "happening";	
	lin height_N = mkN "height" "heights";
	
	-- I
	lin in_Prep = mkPrep "in";	
	lin initial_A = compoundA (mkA "initial");	
	lin inside_Prep = mkPrep "inside";
	lin it_Pron  = mkPron "it" "it" "its" "its" singular P3 nonhuman;
	
	-- L
	lin less_than_A = mkA "less" "less";	
	
	-- M
	lin magnitude_N = mkN "magnitude" ;	
	lin mass_N = mkN "mass" "masses";		
	lin may_1_VV = {
    s = table {
		    VVF VInf => ["be possible to"] ;
		    VVF VPres => "may" ;
		    VVF VPPart => ["been possible to"] ;
		    VVF VPresPart => ["being possible to"] ;
		    VVF VPast => "might" ;
		    VVPastNeg => "mightn't" ;
		    VVPresNeg => "may not"
	    } ;
    	p = [] ;
    	typ = VVAux
    } ;
    lin minus_Prep = mkPrep "minus";
	
	-- N
	lin never_AdV = mkAdV "never" ;	
	lin neither7nor_DConj = mkConj "neither" "nor" singular;
	lin no_Quant = mkQuant "no" "no" "none" "none" ;	

	-- O
	lin obstacle_N = mkN "obstacle" "obstacles";	
	lin occur_V = mkV "occur" "occurs" "occurred" "occurred" "occurring";	
	lin of_Prep = mkPrep "of";
	lin on_Prep = mkPrep "on";	
	lin one_dimensional_A = compoundA (mkA "one-dimensional");
	lin operation_N = mkN "operation" "operations";	
	lin orientation_N = mkN "orientation" ;	
	lin output_N = mkN "output" "IRREG";	
	
	-- P
	lin plus_Prep = mkPrep "plus";
	lin point_N = mkN "point" "points";	
	
	-- R
	lin region_N = mkN "region" "regions";	
	lin robot_N = mkN "robot";
	
	-- S
	lin set_V2 = mkV2 (IrregEng.set_V);		
	lin speed_N = mkN "speed" "speeds";
	
	-- T
	lin the_Det = mkDeterminer singular "the";
	lin thePl_Det = mkDeterminer plural "the";	
	lin three_dimensional_A = compoundA (mkA "three-dimensional");
	lin through_Prep = mkPrep "through";
	lin time_N = mkN "time" "times";
	lin times_Prep = mkPrep "times";
	lin to_Prep = mkPrep "to";
	lin towards_Prep = mkPrep "towards";	
	lin two_dimensional_A = compoundA (mkA "two-dimensional");

	-- U
	lin under_Prep = mkPrep "under";
	lin unit_1_N = mkN "unit" "units";	
	lin up_to_Prep = mkPrep "up to";			
	lin upward_Adv = mkAdv "upward";
	lin upwards_Adv = mkAdv "upwards";	

	-- V
	lin value_N = mkN "value" "values";	
	lin velocity_N = mkN "velocity";

	-- X
	lin x_position_N = mkN "x-position" "x-positions";	
	lin x_width_N = mkN "x-width" "x-widths";

	-- W
	lin when_Subj = mkSubj "when";
	lin where_Subj = mkSubj "where";
	lin width_N = mkN "width" "widths";	
	lin wind_N = mkN "wind" "winds";		
	
	-- Y
	lin y_position_N = mkN "y-position" "y-positions";	
	lin y_width_N = mkN "y-width" "y-widths";

	-- Z
	lin z_position_N = mkN "z-position" "z-positions";		
	lin z_width_N = mkN "z-width" "z-widths";	
	
}

